Update tooltool cargo to a version that supports RUSTC_WRAPPER

RESOLVED FIXED in Firefox 55

Status

RESOLVED FIXED
2 years ago
9 months ago

People

(Reporter: ted, Assigned: rillian)

Tracking

unspecified
mozilla55
Dependency tree / graph

Firefox Tracking Flags

(firefox55 fixed)

Details

Attachments

(1 attachment)

I added support for RUSTC_WRAPPER in cargo:
https://github.com/rust-lang/cargo/pull/3887

This will ship with Rust 1.18, but we should update the cargo we're using so we can start using sccache for our Rust compilation.
Depends on: 1358590
Comment hidden (mozreview-request)
(Assignee)

Updated

2 years ago
Assignee: nobody → giles

Comment 2

2 years ago
mozreview-review
Comment on attachment 8861572 [details]
Bug 1359499 - Update builders to a cargo version with RUSTC_WRAPPER.

https://reviewboard.mozilla.org/r/133540/#review136522
Attachment #8861572 - Flags: review?(mshal) → review+
(Assignee)

Comment 3

2 years ago
I got several build failures, but they seem to be intermittent. I'll try autoland and see if it sticks. Ted, I'm pretty sick this week, so may not be able to follow up promptly. Feel free to take over if you want.

Comment 4

2 years ago
Pushed by rgiles@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/81c2f2697405
Update builders to a cargo version with RUSTC_WRAPPER. r=mshal

Comment 5

2 years ago
bugherder
https://hg.mozilla.org/mozilla-central/rev/81c2f2697405
Status: NEW → RESOLVED
Last Resolved: 2 years ago
status-firefox55: --- → fixed
Resolution: --- → FIXED
Target Milestone: --- → mozilla55

Updated

9 months ago
Product: Core → Firefox Build System
You need to log in before you can comment on or make changes to this bug.